#
# spec file for package yast2-config-cups (Version 2.4.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-printer yast2-lib-sequencer yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-printer yast2-lib-sequencer yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-config-cups
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-agent-cups yast2-lib-printer yast2-lib-sequencer yast2-lib-wizard yast2-trans-cups
BuildArchitectures:	noarch
Summary:      Configuration of printers under Common Unix Printing System
Version:      2.4.11
Release:      36
Source0:	yast2-config-cups-2.4.11.tar.bz2

%description
YaST2 module for printers configuration under Common Unix Printing System.

SuSE series: yast

%prep
%setup -n yast2-config-cups-2.4.11

%build
./configure
make

%install
make install
make check

%files
/usr/lib/YaST2/include/cups/*
/usr/lib/YaST2/clients/cups*
/usr/lib/YaST2/clients_non_y2/cups*
/usr/lib/YaST2/menuentries/menuentry_cups.ycp
%dir /usr/share/doc/packages/yast2-config-cups
/usr/share/doc/packages/yast2-config-cups/*

%changelog -n yast2-config-cups
* Fri Sep 07 2001 - pblahos@suse.cz
- Fixed bug in CUPS client workflow. It could have been triggered
  even if there was no ServerName in client.conf
- When next is finished and there were no changes, nothing is saved
  and no dialog is shown (Bug 10115)
* Tue Sep 04 2001 - pblahos@suse.cz
- Added workflow for CUPS client.
- Unused functions were removed.
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed for testsuite.
* Thu Aug 23 2001 - pblahos@suse.cz
- Fixed some texts.
- When default destination is deleted, other printer is chosen as
  default destination.
- In model selection dialog there is always something pre-selected.
- Fixed testpage printing.
- On-access auto-installation of cups works again.
* Fri Aug 17 2001 - pblahos@suse.cz
- fixed dialog for selecting class members
- fileexist replaced by SCR::Read(.target.size)!=-1
* Mon Aug 13 2001 - pblahos@suse.cz
- Spaces replaced by tabs.
- Changed UI (` to UI:: and SCR (` to SCR::
* Thu Aug 09 2001 - pblahos@suse.cz
- Correctly handles Abort on the first screen.
- Testcases fixed.
* Thu Aug 02 2001 - pblahos@suse.cz
- Testcases fixed.
- Uses ui/wizard_hw to create dialog with list of configured printers.
* Mon Jul 30 2001 - pblahos@suse.cz
- Many fixes because of new YaST2 libs.
- Glyph BulletArrowRight now points at the default queue.
* Fri Jul 27 2001 - pblahos@suse.cz
- New texts proof-read.
- Workflow for autodetected printers was changed. (bug 8145)
- No automatic network lookup occures. There is new button
  Lookup. (bug 9201)
* Mon Jul 23 2001 - pblahos@suse.cz
- Works with new YaST2 libs.
- Removed wrappers that work around textdomain in includes problem.
- Abort button disabled during startup of module.
- Added some documentation.
- Nick names of models shortened of vendor name.
- Supports depended options in ppd files.
- New connection type (Other) for adding printer with any URI.
- Using functions for test page preparation from yast2-lib-printer
- #8364: Fixed some texts and added comments for transtators.
- Can detect ipp printers on given host.
- Using smb printers detection routines from yast2-lib-printer. Now
  only hosts with smb are offered. Button Get queues works.
* Tue Jul 10 2001 - ro@suse.de
- removed yast2-core-translator from neededforbuild
* Thu May 10 2001 - pblahos@suse.cz
- Help texts are defined in UI so they are translated (not in bugzilla).
* Mon May 07 2001 - pblahos@suse.cz
- #7688: Textdomain is set before calling functions included from other
  packages. (also related to #7700)
- #7701: manually configured printers were not shown in summary screen.
* Mon Apr 30 2001 - pblahos@suse.cz
- Added CloseDialog to some places. Now Back and Abort work also in
  autodetected printers screen if cups is called during installation.
* Mon Apr 30 2001 - pblahos@suse.cz
- '+' is allowed in 1284 id. Needed for proper autodetection of
  some printers.
* Fri Apr 27 2001 - pblahos@suse.cz
- Recodes texts from ppd files from its natural encoding to utf-8
- Removed parallel port detection. (See #6239, #7143)
- Accepts .nodetection argument to skip autodetection of printers
  and parallel ports.
- Path to upp printers changed: contains /printer/ instead of /ipp/.
- Fixed summary module.
- Added USB Epson Stylus detection.
- Requires translation module.
* Tue Apr 24 2001 - pblahos@suse.cz
- Starts usbmgr if it does not run.
- In autodetected printers list there are names of already autodetected
  queues for this printer.
- Reloading parport_probe before printer autodetection.
- Printing of testpage fixed. Added quotes to script.
- Added parallel ports detection.
- isnil removed.
* Tue Apr 17 2001 - pblahos@suse.cz
- Dialog is closed before return.
- Summary module implemented.
- Reset and Reset all (options) implemented.
- cupsd is started.
- Check for root is performed when cups is started.
- If lpd is installed, uninstallation of lpd and installation of cups
  is supplied to user.
* Fri Apr 06 2001 - pblahos@suse.cz
- Added testing local connections.
- Fixed: values changed in subsequences (expert, ...) were not discarded
  when back was pressed.
- Test page printing implemented.
* Thu Mar 29 2001 - pblahos@suse.cz
- Proof-read.
- Compilant to new libycp.
- Edit printer/class dialog shows current values.
* Mon Mar 26 2001 - pblahos@suse.cz
- A lot of changes and fixes. Better workflow, more functionality.
* Thu Mar 08 2001 - pblahos@suse.cz
- initial version
